<div>
    <h2 id="page-heading">
        <span>Booking Guests</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-booking-guest" [routerLink]="['/booking-guest/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Booking Guest
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="bookingGuests?.length === 0">
        <span>No bookingGuests found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="bookingGuests && bookingGuests.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Amount</span></th>
                    <th scope="col" ><span>Created At</span></th>
                    <th scope="col" ><span>Updated At</span></th>
                    <th scope="col" ><span>Booking Service Member</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let bookingGuest of bookingGuests ;trackBy: trackId">
                    <td><a [routerLink]="['/booking-guest', bookingGuest.id, 'view']">{{ bookingGuest.id }}</a></td>
                    <td>{{ bookingGuest.name }}</td>
                    <td>{{ bookingGuest.amount }}</td>
                    <td>{{ bookingGuest.createdAt | date:'medium' }}</td>
                    <td>{{ bookingGuest.updatedAt | date:'medium' }}</td>
                    <td>
                        <div *ngIf="bookingGuest.bookingServiceMember">
                            <a [routerLink]="['/booking-service-member', bookingGuest.bookingServiceMember?.id, 'view']" >{{ bookingGuest.bookingServiceMember?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/booking-guest', bookingGuest.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/booking-guest', bookingGuest.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(bookingGuest)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
